
--[[ EN ]]

-- To create a new module, change every occurence of 'Barlow' to your module's name
-- (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'Barlow' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "KQMediaBarlow";										-- !!!
local moduleid = "bar";										-- keep this short
local moduleData = nil;
local frame = CreateFrame("Frame", "KQMediaBarlowFakeFrame"); 				-- !!!

function KQMediaBarlow_OnEvent(this, event, ...) 	-- !!!
	local arg1 = select(1, ...)
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        KQMediaBarlow_Init();												-- !!!
        if (IsAddOnLoaded("KQuote")) then
	        KQ_InitModule(moduleData);
        end
        if (IsAddOnLoaded("WoWQuote2")) then
	        WQ2_InitModule(moduleData);
        end
        frame:UnregisterEvent("ADDON_LOADED");
    end
end

frame:SetScript("OnEvent", KQMediaBarlow_OnEvent);							-- !!!
frame:RegisterEvent("ADDON_LOADED");

function KQMediaBarlow_Init()												-- !!!
    moduleData = {
    	name = "Barlow",
        moduleid = moduleid,
        tags = {["pet"] = "Pet"},
        mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
        mediadata = nil
    }

    moduleData.mediadata =
{
-- replace this list of data with your own	
{
	-- for modules other than the Barlow module, prepend the id index number
	-- with the module's id;
	-- 		i.e.   id = "mine:001"

	-- bei anderen als dem Barlow-Module, muß dem ID-Index die moduleid
	-- vorangestellt werden;
	-- 		z.B.   id = "mine:001"

    id = "bar:01",
    file = "aushilfspausenclown.mp3",
    len = 4,
    msg = "Aushilfspausenclown",
},
{
    id = "bar:02",
    file = "damagedealer.mp3",
    len = 1,
    msg = "Damagedealer",
},
{
    id = "bar:03",
    file = "deinponybrennt.mp3",
    len = 3,
    msg = "Dein Pony brennt",
    tags = {"warlock"}
},
{
    id = "bar:04",
    file = "dergemeinepaladin.mp3",
    len = 4,
    msg = "Der gemeine Paladin",
    tags = {"paladin"}
},
{
    id = "bar:05",
    file = "derhealwareigentlichdurch.mp3",
    len = 2,
    msg = "Der Heal war eigentlich durch",
    tags = {"paladin", "priest", "druid", "schaman"}
},
{
    id = "bar:06",
    file = "derjaeger.mp3",
    len = 6,
    msg = "Der Jäger",
    tags = {"hunter"}
},
{
    id = "bar:07",
    file = "dermoonkin.mp3",
    len = 7,
    msg = "Der Moonkin",
    tags = {"druid"}
},
{
    id = "bar:08",
    file = "derpaladin.mp3",
    len = 4,
    msg = "Der Paladin",
    tags = {"paladin"}
},
{
    id = "bar:09",
    file = "derprotectionpala.mp3",
    len = 2,
    msg = "Der Protection-Pala",
    tags = {"paladin"}
},
{
    id = "bar:10",
    file = "destrolock.mp3",
    len = 13,
    msg = "Destrolock",
    tags = {"warlock"}
},
{
    id = "bar:11",
    file = "diegruppewipen.mp3",
    len = 2,
    msg = "Die Gruppe wipen",
},
{
    id = "bar:12",
    file = "diekehrseitedespaladin.mp3",
    len = 5,
    msg = "Die Kehrseite des Paladin",
    tags = {"paladin"}
},
{
    id = "bar:13",
    file = "druidensindirgendwiekomisch.mp3",
    len = 3,
    msg = "Druiden sind irgendwie komisch",
    tags = {"druid"}
},
{
    id = "bar:14",
    file = "druiden.mp3",
    len = 4,
    msg = "Druiden",
    tags = {"druid"}
},
{
    id = "bar:15",
    file = "gehdocheinfachgepflegtsterben.mp3",
    len = 3,
    msg = "Geh doch einfach gepflegt sterben",
},
{
    id = "bar:16",
    file = "hexer.mp3",
    len = 5,
    msg = "Hexer",
    tags = {"warlock"}
},
{
    id = "bar:17",
    file = "hirntot.mp3",
    len = 2,
    msg = "Hirntot",
    tags = {"hunter", "warlock", "pet"}
},
{
    id = "bar:18",
    file = "ichbinnichtganzsicher.mp3",
    len = 1,
    msg = "Ich bin nicht ganz sicher",
},
{
    id = "bar:19",
    file = "ihrwerdetlachen.mp3",
    len = 1,
    msg = "Ihr werdet lachen",
},
{
    id = "bar:20",
    file = "krieger.mp3",
    len = 10,
    msg = "Krieger",
    tags = {"warrior"}
},
{
    id = "bar:21",
    file = "lautessprechenvermeiden.mp3",
    len = 7,
    msg = "Lautes Sprechen vermeiden!",
    tags = {"paladin"}
},
{
    id = "bar:22",
    file = "loladin.mp3",
    len = 1,
    msg = "Loladin",
    tags = {"paladin"}
},
{
    id = "bar:23",
    file = "lookatme.mp3",
    len = 5,
    msg = "Look at me!",
    tags = {"paladin"}
},
{
    id = "bar:24",
    file = "magierduidenpalas.mp3",
    len = 9,
    msg = "Magier, Duiden & Palas",
    tags = {"paladin", "mage", "druid"}
},
{
    id = "bar:25",
    file = "moonfire.mp3",
    len = 4,
    msg = "Moonfire!",
    tags = {"druid"}
},
{
    id = "bar:26",
    file = "nuetzlichermagier.mp3",
    len = 11,
    msg = "Nützlicher Magier",
    tags = {"mage"}
},
{
    id = "bar:27",
    file = "paladineundburstdamage.mp3",
    len = 4,
    msg = "Paladine und Burstdamage",
    tags = {"paladin"}
},
{
    id = "bar:28",
    file = "paladinevergessenzusterben.mp3",
    len = 3,
    msg = "Paladine vergessen zu sterben",
    tags = {"paladin"}
},
{
    id = "bar:29",
    file = "pethealequipment.mp3",
    len = 2,
    msg = "Pet-Heal-Equipment",
    tags = {"hunter"}
},
{
    id = "bar:30",
    file = "roemms.mp3",
    len = 3,
    msg = "Römms!",
    tags = {"mage"}
},
{
    id = "bar:31",
    file = "skillung.mp3",
    len = 2,
    msg = "Skillung",
},
{
    id = "bar:32",
    file = "warlocks.mp3",
    len = 6,
    msg = "Warlocks",
    tags = {"warlock"}
},
{
    id = "bar:33",
    file = "wasernichthauendarf.mp3",
    len = 3,
    msg = "Was er nicht hauen darf",
    tags = {"warrior"}
},
{
    id = "bar:34",
    file = "weilicheskann.mp3",
    len = 1,
    msg = "Weil ich es kann",
},
{
    id = "bar:35",
    file = "wozugibtsschliesslichheiler.mp3",
    len = 2,
    msg = "Wozu gibt's schließlich Heiler",
    tags = {"priest", "paladin", "druid", "schaman"}
},
{
    id = "bar:36",
    file = "zweiverhaltensmuster.mp3",
    len = 4,
    msg = "Zwei Verhaltensmuster",
    tags = {"hunter"}
},
{
    id = "bar:37",
    file = "magier.mp3",
    len = 4,
    msg = "Magier",
    tags = {"mage"}
},
-- end of media data
};
end -- KQMedia..._Init

